### Method

# Gio Settings get_child

since: 2.26

#### Declaration [src]

    GSettings*
    g_settings_get_child (
      GSettings* settings,
      const gchar* name
    )

#### Description [src]

Creates a child settings object which has a base path of `base-path/name`, where `base-path` is the base path of `settings` and `name` is as specified by the caller.

The schema for the child settings object must have been declared in the schema of `settings` using a `<child>` element.

The created child settings object will inherit the `GSettings:delay-apply` mode from `settings`.

Available since: 2.26

#### Parameters

`name`

  Type: `const gchar*`

  The name of the child schema.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GSettings`

A ‘child’ settings object.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.